Page MenuHomePhabricator

Fix missing-end-tag linter issue generation
Closed, ResolvedPublic

Description

See https://www.mediawiki.org/wiki/Topic:Tpjpdwpp37kk9gty. The spec does say that at least for the <td> tag, the closing tag is optional. Let us look at the spec more carefully to see where else this is the case and update the linter issue detection appropriately.

Event Timeline

ssastry created this task.Jul 22 2017, 3:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2017, 3:12 PM
ssastry triaged this task as Medium priority.Jul 22 2017, 3:25 PM
ssastry moved this task from Needs Triage to Linting on the Parsoid board.Sep 18 2017, 5:11 PM
ssastry claimed this task.Nov 6 2017, 6:06 PM

Change 389531 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] T171381: Linter: Handle Optional end tags in missing-end-tag category

https://gerrit.wikimedia.org/r/389531

ssastry moved this task from Linting to In Progress on the Parsoid board.Nov 6 2017, 6:10 PM

Change 389531 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T171381: Linter: Handle optional end tags in missing-end-tag category

https://gerrit.wikimedia.org/r/389531

Arlolra closed this task as Resolved.Nov 9 2017, 6:49 PM